#include <iostream>
	using namespace std;
	#include <stdio.h>
	const int maxCol = 10;
	void  multiply(int a[][maxCol], int b[][maxCol], int m,int p, int n, int c[][maxCol] ) {
	int i,j,k,sum;
	for (i=0; i<m; i++)
	for (j=0; j<n; j++) {
	sum = 0;
	for (k=0; k<p; k++){
	sum += a[i][k] * b[k][j] ;

	c[i][j] = sum;
	}
	}
	}

	void  printMatrix(int matrix[][maxCol], int row,int col) {
	int i,j;
	for (i=0; i<row; i++) {
	for (j=0; j<col ;j++)
	cout<<" "<<matrix[i][j]<<"\t";
	cout<<"\n";
	}
	}
	int  main() {
	int  matrix_1[2][maxCol] = { {7 ,3 , 2} , {-2, 6, 1} };
	int  matrix_2[3][maxCol] = { {2 , 7 , -4, -1} , { 3 ,-3, 5, -8} , {6, -7, 2, 3} };
	int  result[2][maxCol] ;
	multiply(matrix_1, matrix_2, 2, 3, 4, result);

	cout<<"  matrix1 is :\n";
	printMatrix(matrix_1,2,3) ;
	cout<<"\n  matrix2 is :\n";
	printMatrix(matrix_2,3,4) ;
	cout<<"\  nmultiply of matrix1 and matrix2 is :\n";
	printMatrix(result,2,4) ;
	return  0;
	}
